Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class SymmetricKeyEncSessionPacket

    java.lang.Object
      |
      +--org.bouncycastle.bcpg.Packet
            |
            +--org.bouncycastle.bcpg.ContainedPacket
                  |
                  +--org.bouncycastle.bcpg.SymmetricKeyEncSessionPacket

All Implemented Interfaces:
  PacketTags

public class SymmetricKeyEncSessionPacket
extends ContainedPacket

Basic type for a symmetric encrypted session key packet

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`SymmetricKeyEncSessionPacket(BCPGInputStream in)`
`SymmetricKeyEncSessionPacket(int encAlgorithm, S2K s2k, byte[] secKeyData)`

Method Summary
`void` | `encode(BCPGOutputStream out)`
`int` | `getEncAlgorithm()`
`S2K` | `getS2K()`
`byte[]` | `getSecKeyData()`
`int` | `getVersion()`

Methods inherited from class org.bouncycastle.bcpg.ContainedPacket
`getEncoded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymmetricKeyEncSessionPacket

    public SymmetricKeyEncSessionPacket(BCPGInputStream in)
                                 throws java.io.IOException

### SymmetricKeyEncSessionPacket

    public SymmetricKeyEncSessionPacket(int encAlgorithm,
                                        S2K s2k,
                                        byte[] secKeyData)

Method Detail

### getEncAlgorithm

    public int getEncAlgorithm()

  Returns:
    int

### getS2K

    public S2K getS2K()

  Returns:
    S2K

### getSecKeyData

    public byte[] getSecKeyData()

  Returns:
    byte[]

### getVersion

    public int getVersion()

  Returns:
    int

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Specified by:
    `encode` in class `ContainedPacket`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD